ID CVE-2012-5112
Summary Use-after-free vulnerability in the SVG implementation in WebKit, as used in Google Chrome before 22.0.1229.94, allows remote attackers to execute arbitrary code via unspecified vectors.
References
Vulnerable Configurations
  • Google Chrome 22.0.1229.76
    cpe:2.3:a:google:chrome:22.0.1229.76
  • Google Chrome 22.0.1229.67
    cpe:2.3:a:google:chrome:22.0.1229.67
  • Google Chrome 22.0.1229.65
    cpe:2.3:a:google:chrome:22.0.1229.65
  • Google Chrome 22.0.1229.64
    cpe:2.3:a:google:chrome:22.0.1229.64
  • Google Chrome 22.0.1229.63
    cpe:2.3:a:google:chrome:22.0.1229.63
  • Google Chrome 22.0.1229.62
    cpe:2.3:a:google:chrome:22.0.1229.62
  • Google Chrome 22.0.1229.60
    cpe:2.3:a:google:chrome:22.0.1229.60
  • Google Chrome 22.0.1229.59
    cpe:2.3:a:google:chrome:22.0.1229.59
  • Google Chrome 22.0.1229.58
    cpe:2.3:a:google:chrome:22.0.1229.58
  • Google Chrome 22.0.1229.57
    cpe:2.3:a:google:chrome:22.0.1229.57
  • Google Chrome 22.0.1229.56
    cpe:2.3:a:google:chrome:22.0.1229.56
  • Google Chrome 22.0.1229.55
    cpe:2.3:a:google:chrome:22.0.1229.55
  • Google Chrome 22.0.1229.54
    cpe:2.3:a:google:chrome:22.0.1229.54
  • Google Chrome 22.0.1229.53
    cpe:2.3:a:google:chrome:22.0.1229.53
  • Google Chrome 22.0.1229.52
    cpe:2.3:a:google:chrome:22.0.1229.52
  • Google Chrome 22.0.1229.51
    cpe:2.3:a:google:chrome:22.0.1229.51
  • Google Chrome 22.0.1229.50
    cpe:2.3:a:google:chrome:22.0.1229.50
  • Google Chrome 22.0.1229.49
    cpe:2.3:a:google:chrome:22.0.1229.49
  • Google Chrome 22.0.1229.48
    cpe:2.3:a:google:chrome:22.0.1229.48
  • Google Chrome 22.0.1229.39
    cpe:2.3:a:google:chrome:22.0.1229.39
  • Google Chrome 22.0.1229.37
    cpe:2.3:a:google:chrome:22.0.1229.37
  • Google Chrome 22.0.1229.36
    cpe:2.3:a:google:chrome:22.0.1229.36
  • Google Chrome 22.0.1229.35
    cpe:2.3:a:google:chrome:22.0.1229.35
  • Google Chrome 22.0.1229.33
    cpe:2.3:a:google:chrome:22.0.1229.33
  • Google Chrome 22.0.1229.32
    cpe:2.3:a:google:chrome:22.0.1229.32
  • Google Chrome 22.0.1229.31
    cpe:2.3:a:google:chrome:22.0.1229.31
  • Google Chrome 22.0.1229.29
    cpe:2.3:a:google:chrome:22.0.1229.29
  • Google Chrome 22.0.1229.28
    cpe:2.3:a:google:chrome:22.0.1229.28
  • Google Chrome 22.0.1229.27
    cpe:2.3:a:google:chrome:22.0.1229.27
  • Google Chrome 22.0.1229.26
    cpe:2.3:a:google:chrome:22.0.1229.26
  • Google Chrome 22.0.1229.25
    cpe:2.3:a:google:chrome:22.0.1229.25
  • Google Chrome 22.0.1229.24
    cpe:2.3:a:google:chrome:22.0.1229.24
  • Google Chrome 22.0.1229.23
    cpe:2.3:a:google:chrome:22.0.1229.23
  • Google Chrome 22.0.1229.22
    cpe:2.3:a:google:chrome:22.0.1229.22
  • Google Chrome 22.0.1229.21
    cpe:2.3:a:google:chrome:22.0.1229.21
  • Google Chrome 22.0.1229.20
    cpe:2.3:a:google:chrome:22.0.1229.20
  • Google Chrome 22.0.1229.18
    cpe:2.3:a:google:chrome:22.0.1229.18
  • Google Chrome 22.0.1229.17
    cpe:2.3:a:google:chrome:22.0.1229.17
  • Google Chrome 22.0.1229.16
    cpe:2.3:a:google:chrome:22.0.1229.16
  • Google Chrome 22.0.1229.14
    cpe:2.3:a:google:chrome:22.0.1229.14
  • Google Chrome 22.0.1229.12
    cpe:2.3:a:google:chrome:22.0.1229.12
  • Google Chrome 22.0.1229.11
    cpe:2.3:a:google:chrome:22.0.1229.11
  • Google Chrome 22.0.1229.10
    cpe:2.3:a:google:chrome:22.0.1229.10
  • Google Chrome 22.0.1229.0
    cpe:2.3:a:google:chrome:22.0.1229.0
  • Google Chrome 22.0.1229.1
    cpe:2.3:a:google:chrome:22.0.1229.1
  • Google Chrome 22.0.1229.2
    cpe:2.3:a:google:chrome:22.0.1229.2
  • Google Chrome 22.0.1229.3
    cpe:2.3:a:google:chrome:22.0.1229.3
  • Google Chrome 22.0.1229.4
    cpe:2.3:a:google:chrome:22.0.1229.4
  • Google Chrome 22.0.1229.6
    cpe:2.3:a:google:chrome:22.0.1229.6
  • Google Chrome 22.0.1229.7
    cpe:2.3:a:google:chrome:22.0.1229.7
  • Google Chrome 22.0.1229.8
    cpe:2.3:a:google:chrome:22.0.1229.8
  • Google Chrome 22.0.1229.9
    cpe:2.3:a:google:chrome:22.0.1229.9
  • Google Chrome 22.0.1229.78
    cpe:2.3:a:google:chrome:22.0.1229.78
  • Google Chrome 22.0.1229.79
    cpe:2.3:a:google:chrome:22.0.1229.79
  • Google Chrome 22.0.1229.89
    cpe:2.3:a:google:chrome:22.0.1229.89
  • Google Chrome 22.0.1229.91
    cpe:2.3:a:google:chrome:22.0.1229.91
  • Google Chrome 22.0.1229.92
    cpe:2.3:a:google:chrome:22.0.1229.92
  • Apple iPhone OS 6.0
    cpe:2.3:o:apple:iphone_os:6.0
CVSS
Base: 10.0 (as of 05-10-2016 - 14:15)
Impact:
Exploitability:
CWE CWE-399
CAPEC
Access
VectorComplexityAuthentication
NETWORK LOW NONE
Impact
ConfidentialityIntegrityAvailability
COMPLETE COMPLETE COMPLETE
nessus via4
  • NASL family Peer-To-Peer File Sharing
    NASL id ITUNES_11_0_3_BANNER.NASL
    description The version of Apple iTunes on the remote host is prior to version 11.0.3. It is, therefore, affected by multiple vulnerabilities : - An error exists related to certificate validation. A man-in-the-middle attacker can exploit this to spoof HTTPS servers, which allows the disclosure of sensitive information or the application to trust data from untrusted sources. Note that this issue affects the application regardless of the operating system. (CVE-2013-1014) - The version of WebKit included in iTunes contains several errors that can lead to memory corruption and arbitrary code execution. The vendor states that one possible vector is a man-in-the-middle attack while the application browses the 'iTunes Store'. Please note that these vulnerabilities only affect the application when it is running on a Windows host. (CVE-2012-2824, CVE-2012-2857, CVE-2012-3748, CVE-2012-5112, CVE-2013-0879, CVE-2013-0912, CVE-2013-0948, CVE-2013-0949, CVE-2013-0950, CVE-2013-0951, CVE-2013-0952, CVE-2013-0953, CVE-2013-0954, CVE-2013-0955, CVE-2013-0956, CVE-2013-0958, CVE-2013-0959, CVE-2013-0960, CVE-2013-0961, CVE-2013-0991, CVE-2013-0992, CVE-2013-0993, CVE-2013-0994, CVE-2013-0995, CVE-2013-0996, CVE-2013-0997, CVE-2013-0998, CVE-2013-0999, CVE-2013-1000, CVE-2013-1001, CVE-2013-1002, CVE-2013-1003, CVE-2013-1004, CVE-2013-1005, CVE-2013-1006, CVE-2013-1007, CVE-2013-1008, CVE-2013-1010, CVE-2013-1011)
    last seen 2019-02-21
    modified 2018-07-13
    plugin id 66499
    published 2013-05-17
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=66499
    title Apple iTunes < 11.0.3 Multiple Vulnerabilities (uncredentialed check)
  • NASL family MacOS X Local Security Checks
    NASL id MACOSX_SAFARI6_0_2.NASL
    description The version of Apple Safari installed on the remote Mac OS X host is earlier than 6.0.2. It is, therefore, potentially affected by several issues : - A time-of-check-to-time-of-use issue in the handling of JavaScript array in WebKit could lead to arbitrary, remote code execution. (CVE-2012-3748) - A use-after-free issue in the handling of SVG images in WebKit code could lead to arbitrary, remote code execution. (CVE-2012-5112)
    last seen 2019-02-21
    modified 2018-07-16
    plugin id 62802
    published 2012-11-02
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=62802
    title Mac OS X : Apple Safari < 6.0.2 Multiple Vulnerabilities
  • NASL family Windows
    NASL id GOOGLE_CHROME_22_0_1229_94.NASL
    description The version of Google Chrome installed on the remote host is earlier than 22.0.1229.94 and is, therefore, affected by the following vulnerabilities : - A use-after-free error exists related to SVG handling that can be used to exploit the renderer process. (Issue #154983) - An unspecified error exists related to IPC handling that can allow an attacker to escape the application sandbox. (Issue #154987) Successful exploitation of any of these issues could lead to an application crash or even allow arbitrary code execution, subject to the user's privileges.
    last seen 2019-02-21
    modified 2018-11-15
    plugin id 62519
    published 2012-10-12
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=62519
    title Google Chrome < 22.0.1229.94 Multiple Vulnerabilities
  • NASL family Gentoo Local Security Checks
    NASL id GENTOO_GLSA-201210-07.NASL
    description The remote host is affected by the vulnerability described in GLSA-201210-07 (Chromium: Multiple vulnerabilities) Multiple vulnerabilities have been discovered in Chromium. Please review the CVE identifiers and release notes referenced below for details. Impact : A remote attacker could entice a user to open a specially crafted web site using Chromium, possibly resulting in the execution of arbitrary code with the privileges of the process, arbitrary file write, a Denial of Service condition, Cross-Site Scripting in SSL interstitial and various Universal Cross-Site Scripting attacks. Workaround : There is no known workaround at this time.
    last seen 2019-02-21
    modified 2018-07-11
    plugin id 62652
    published 2012-10-22
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=62652
    title GLSA-201210-07 : Chromium: Multiple vulnerabilities
  • NASL family Windows
    NASL id ITUNES_11_0_3.NASL
    description The version of Apple iTunes installed on the remote Windows host is older than 11.0.3. It therefore is potentially affected by several issues : - An error exists related to certificate validation that could allow disclosure of sensitive information and could allow the application to trust data from untrusted sources. (CVE-2013-1014) - The included version of WebKit contains several errors that could lead to memory corruption and possibly arbitrary code execution. The vendor notes one possible attack vector is a man-in-the-middle attack while the application browses the 'iTunes Store'. (CVE-2012-2824, CVE-2012-2857, CVE-2012-3748, CVE-2012-5112, CVE-2013-0879, CVE-2013-0912, CVE-2013-0948, CVE-2013-0949, CVE-2013-0950, CVE-2013-0951, CVE-2013-0952, CVE-2013-0953, CVE-2013-0954, CVE-2013-0955, CVE-2013-0956, CVE-2013-0958, CVE-2013-0959, CVE-2013-0960, CVE-2013-0961, CVE-2013-0991, CVE-2013-0992, CVE-2013-0993, CVE-2013-0994, CVE-2013-0995, CVE-2013-0996, CVE-2013-0997, CVE-2013-0998, CVE-2013-0999, CVE-2013-1000, CVE-2013-1001, CVE-2013-1002, CVE-2013-1003, CVE-2013-1004, CVE-2013-1005, CVE-2013-1006, CVE-2013-1007, CVE-2013-1008, CVE-2013-1010, CVE-2013-1011)
    last seen 2019-02-21
    modified 2018-07-13
    plugin id 66498
    published 2013-05-17
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=66498
    title Apple iTunes < 11.0.3 Multiple Vulnerabilities (credentialed check)
  • NASL family FreeBSD Local Security Checks
    NASL id FREEBSD_PKG_09E83F7F132611E2AFE300262D5ED8EE.NASL
    description Google Chrome Releases reports : [154983][154987] Critical CVE-2012-5112: SVG use-after-free and IPC arbitrary file write. Credit to Pinkie Pie.
    last seen 2019-02-21
    modified 2013-06-21
    plugin id 62488
    published 2012-10-11
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=62488
    title FreeBSD : chromium -- multiple vulnerabilities (09e83f7f-1326-11e2-afe3-00262d5ed8ee)
oval via4
accepted 2013-08-12T04:07:38.942-04:00
class vulnerability
contributors
  • name Shane Shaffer
    organization G2, Inc.
  • name Maria Kedovskaya
    organization ALTX-SOFT
definition_extensions
comment Google Chrome is installed
oval oval:org.mitre.oval:def:11914
description Use-after-free vulnerability in the SVG implementation in WebKit, as used in Google Chrome before 22.0.1229.94, allows remote attackers to execute arbitrary code via unspecified vectors.
family windows
id oval:org.mitre.oval:def:15523
status accepted
submitted 2012-10-11T14:00:26.230-04:00
title Use-after-free vulnerability in the SVG implementation in WebKit, as used in Google Chrome before 22.0.1229.94
version 42
refmap via4
apple
  • APPLE-SA-2012-11-01-1
  • APPLE-SA-2012-11-01-2
bugtraq
  • 20121101 APPLE-SA-2012-11-01-1 iOS 6.0.1
  • 20121101 APPLE-SA-2012-11-01-2 Safari 6.0.2
confirm
osvdb 86149
secunia 50954
Last major update 02-11-2013 - 23:27
Published 11-10-2012 - 06:51
Last modified 18-09-2017 - 21:35
Back to Top